Google berkomitmen untuk mendorong terwujudnya keadilan ras bagi komunitas Kulit Hitam. Lihat caranya.

Dependensi SDK Android Firebase pada layanan Google Play

Beberapa Firebase Android SDK bergantung pada layanan Google Play , yang berarti mereka hanya akan berjalan di perangkat dan emulator dengan layanan Google Play terpasang. Firebase SDK ini berkomunikasi dengan layanan latar belakang layanan Google Play di perangkat untuk menyediakan API yang aman, terbaru, dan ringan untuk aplikasi Anda. Perangkat Android tertentu, seperti perangkat Amazon Kindle Fire atau yang dijual di beberapa wilayah, tidak menginstal layanan Google Play.

SDK Firebase mana yang membutuhkan layanan Google Play?

Firebase SDK dapat dibagi menjadi tiga kategori:

  • Diperlukan layanan Play - SDK ini memerlukan layanan Google Play, jika tidak, mereka tidak memiliki fungsi.
  • Disarankan layanan Play - SDK ini memerlukan layanan Google Play untuk memiliki fungsi penuh , tetapi mereka masih menawarkan sebagian besar fungsi bahkan tanpa layanan Google Play.
  • Layanan Play tidak diperlukan - SDKS ini tidak memerlukan layanan Google Play untuk memiliki fungsionalitas penuh.

Tabel di bawah ini hanya akurat untuk rilis terbaru setiap SDK. Beberapa versi lama mungkin memiliki persyaratan yang lebih ketat.

Layanan Google Play tidak diperlukan

Produk Perpustakaan Layanan Google Play?
Autentikasi com.google.firebase: firebase-auth: 21.0.1
com.google.firebase: firebase-auth-ktx: 21.0.1
Tidak dibutuhkan
Cloud Firestore com.google.firebase: firebase-firestore: 23.0.0
com.google.firebase: firebase-firestore-ktx: 23.0.0
Tidak dibutuhkan
Cloud Functions for Firebase Client SDK com.google.firebase: firebase-functions: 20.0.0
com.google.firebase: firebase-functions-ktx: 20.0.0
Tidak dibutuhkan
Cloud Storage for Firebase com.google.firebase: firebase-storage: 20.0.0
com.google.firebase: firebase-storage-ktx: 20.0.0
Tidak dibutuhkan
Crashlytics com.google.firebase: firebase-crashlytics: 18.0.0
com.google.firebase: firebase-crashlytics-ktx: 18.0.0
Tidak dibutuhkan
Perpesanan Dalam Aplikasi com.google.firebase: firebase-applicationmessaging: 20.0.0
com.google.firebase: firebase-applicationmessaging-ktx: 20.0.0
Tidak dibutuhkan
Tampilan Pesan Dalam Aplikasi com.google.firebase: firebase-applicationmessaging-display: 20.0.0
com.google.firebase: firebase-applicationmessaging-display-ktx: 20.0.0
Tidak dibutuhkan
Penginstalan Firebase com.google.firebase: firebase-installations: 17.0.0
com.google.firebase: firebase-installations-ktx: 17.0.0
Tidak dibutuhkan
Pemantauan Kinerja com.google.firebase: firebase-perf: 20.0.0
com.google.firebase: firebase-perf-ktx: 20.0.0
Tidak dibutuhkan
Realtime Database com.google.firebase: firebase-database: 20.0.0
com.google.firebase: firebase-database-ktx: 20.0.0
Tidak dibutuhkan
Remote Config com.google.firebase: firebase-config: 21.0.0
com.google.firebase: firebase-config-ktx: 21.0.0
Tidak dibutuhkan
Produk Perpustakaan Layanan Google Play?
AdMob com.google.android.gms: iklan-layanan-bermain: 20.1.0 Direkomendasikan *
Analytics com.google.firebase: firebase-analytics: 19.0.0
com.google.firebase: firebase-analytics-ktx: 19.0.0
Direkomendasikan *
Pengindeksan Aplikasi com.google.firebase: firebase-appindexing: 20.0.0 Yg dibutuhkan
Cloud Messaging com.google.firebase: firebase-messaging: 22.0.0
com.google.firebase: firebase-messaging-ktx: 22.0.0
Yg dibutuhkan
Tautan Dinamis com.google.firebase: firebase-dynamic-links: 20.0.0
com.google.firebase: firebase-dynamic-links-ktx: 20.0.0
Yg dibutuhkan
Visi ML Firebase com.google.firebase: firebase-ml-vision: 24.1.0 Yg dibutuhkan
Model Kustom Firebase ML com.google.firebase: firebase-ml-model-interpreter: 22.0.4 Yg dibutuhkan

* Firebase SDK untuk Google Analytics dapat mengirimkan peristiwa di perangkat apa pun, tetapi beberapa wawasan otomatis seperti demografi hanya tersedia di perangkat dengan layanan Google Play.